How Do I Get Opera To Work? - Pt 2

Graham Todd grahamtodd2 at googlemail.com
Thu Jun 19 08:00:34 UTC 2008


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

This is the second time of trying as I got no responses the first
time :-)  What follows is an updated description of the problem: I
certainly hope someone can help me.

I am running an updated 64bit Gutsy setup, which is recognised by the
Opera download page as a Hardy system.  Sometime ago, I looked for a
64bit version of Opera and couldn't find one, and was told by someone
on this list that it didn't exist.  However, I recently found a version
for the "X86-64" architecture, with I presume is the correct version
for AMD64.

I downloaded the Hardy .deb through Konqueror using KGet, and it
installed through GDebi.  In the K menu there is now an item for Opera
and when I click on the icon, I get a perfectly good screen, but Opera
doesn't connect.  I have a connection because I can download email,
connect with newsgroups (nntp), and connect through Konqueror but Opera
refuses to connect.

I tried going through Konsole, issuing the commands "opera" and "opera
%s" and got the same error message for each:

*****@******-desktop:~$ opera
ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded:
ignored. ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be
preloaded: ignored. /home/******/lib/opera/9.27-20080331.6/opera: error
while loading shared libraries: libqt-mt.so.3: cannot open shared
object file: No such file or directory

There is clearly a file which should have been preloaded but which
hasn't been, and I can't work out where to go from here.  I know Opera
exists in "full" .debs and versions which use "shared-qt" .debs which
build upon libraries already installed from other (earlier) versions of
Opera, but I can't find a 64bit version of Opera that is not the full
version.

Can anybody tell me what I need to do to make Opera work in my 64bit
Hardy setup? Thanks in advance for any help you can give.

- -- 
Graham Todd
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Please sign and encrypt for internet privacy

iD8DBQFIWhI8thMHx1h/UZYRAgJTAJ0aIzZRSTjxzFE0Durz1E4FPG9KGQCdGdIj
UoUrFuQaZ9Qox3LaR0UdvTw=
=OGJq
-----END PGP SIGNATURE-----


More information about the kubuntu-users mailing list